package cn.com.ctop.kuaishou.modules.ai.service;

import cn.com.ctop.kuaishou.modules.ai.entity.AiKuaishouAccountAutoStrategy;

public interface IAiKuaishouAccountAutoDoService {

    //创建自定义上新广告创意
    void createCustomUpNewCreative(AiKuaishouAccountAutoStrategy strategy);

    //创建自定义非上新广告创意
    void createCustomCreative(AiKuaishouAccountAutoStrategy strategy);

    //创建程序化广告创意
    void createProgramCreative(AiKuaishouAccountAutoStrategy strategy);

    // 组创建是否超限
    Boolean getUnitOverrun(Long accountId);

    //每日补齐创建
    void supplementTodayCreatives(AiKuaishouAccountAutoStrategy strategy);

}
